WESNOTHD(6)

IME
wesnothd — višeigrački mrežni domar „Boja za Vesnot“

PREGLED
wesnothd [-dv] [-c putanja] [-p port] [-t broj] [-T broj]
wesnothd -V

OPIS
Manages Battle for Wesnoth multiplayer games. See http://www.wesnoth.org/wiki/ServerAdministration on what commands the server accepts via the wesnoth client (/query ...) or the fifo.

OPCIJE

-c putanja, --config putanja
    kazuje domaru gde se nalazi postavna datoteka. Za sintaksu pogledajte odeljak POSTAVA SERVERA ispod. Postavu možete ponovo učitati slanjem SIGHUP serverskom procesu.

-d, --daemon
    pokreće wesnothd kao domar.

-h, --help
    govori vam šta čine opcije komandne linije.

--log-nivo=domen1,domen2,...
    postavlja nivo ozbiljnosti domena beleženja. all se može upotrebiti za poklapanje svih domena, a dostupni su: error, warning, info,debug. Podrazumevano se koristi error, osim za domen server gde info.

-p port, --port port
    vezuje server za navedeni port. Ako se port ne navede, podrazumevano se koristi 15000.

-t broj, --threads broj
    postavlja najveći broj radnih niti na čekanju za mrežni U/I (podrazumevano: 5, najviše: 30).

-T broj, --max-threads broj
    postavlja najveći broj radnih niti koje mogu biti stvorene; ako se zada 0, nema ograničenja (podrazumevano: 0).

-V, --version
    prikazuje broj verzije i izlazi.

-v, --verbose
    uključuje ispravljačko beleženje.

POSTAVA SERVERA

  Opšta sintaksa je:

[oznaka]

    ključ="vrednost"

    ključ="vrednost,vrednost,..."

[/oznaka]

  Globalni ključevi:

ban_save_file
    Full or relative path to a (gzip compressed) file that the server can read and write. Bans will be saved to this file and read again on server start.

connections_allowed
    broj dozvoljenih veza sa iste IP adrese, 0 znači bezbroj (podrazumevno: 5)

disallow_names
    imena/nadimci koje server ne prihvata. Prihvataju se ‘*’ i ‘?’ kao džokeri (pogledajte glob(7) za više detalja). Podrazumevane vrednosti, koje se koriste ako se ništa ne zada, su: *admin*,*admln*,*server*,ai,ai?,computer,human,network,player.

fifo_path
    The path to the fifo you can echo server commands into (same as /query ... from wesnoth). If not specified defaults to the compile-time specified path (default: /var/run/socket/wesnothd/socket).

max_messages
    broj dozvoljenih poruka za vreme messages_time_period (podrazumevano: 4)

messages_time_period
    vremenski period u sekundama koji se razmatra za otkrivanje poplave poruka (podrazumevano: 10 sekundi)

motd
    poruka dana

passwd
    lozinka za sticanje administratorskih ovlašćenja. Obično počinje sa ‘admin ’

restart_command
    The command that the server uses to start a new server process via the `restart' command. (Can only be issued via the fifo.)

versions_accepted
    Zapetama razdvojen spisak niski verzija koje server prihvata. Prihvataju se ‘*’ i ‘?’ kao džokeri (podrazumevana je verzija klijenta koja odgovara verziji servera)
    Primer: versions_accepted="*" prihvata bilo koju nisku verzije.

  Globalne oznake:

[redirect] oznaka za navođenje servera na koji se preusmeravaju neke verzije klijenta

    host
        adresa servera na koji se preusmerava

    port
        port na koji se povezuje

    version
        zapetama razdvojen spisak verzija koje se preusmeravaju. Ponaša se isto kao i versions_accepted u pogledu džokera

[ban_time] A tag to define convenient keywords for temporary ban time lengths.

    name
        The name used to reference the ban time.

    time
        The time length definition. The format is: %d[%s[%d%s[...]]] where %s is s (seconds), m (minutes), h (hours), D (days), M (months) or Y (years) and %d is a number. If no time modifier is given minutes (m) are assumed. Example: time="1D12h30m" results in a ban time of 1 day, 12 hours and 30 minutes.

[proxy] oznaka koja govori serveru da se ponaša kao posrednik i prosleđuje zahteve povezanih klijenata na određeni server. Prihvata iste ključeve kao i [redirect]

AUTOR
Napisao Dejvid Vajt (David White) <davidnwhite@verizon.net>. Uredili Nils Knojper (Nils Kneuper) <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> i Soliton <soliton.de@gmail.com>. Ovu uputnu stranu prvobitno je napisao Siril Butors (Cyril Bouthors) <cyril@bouthors.org>.
Posetite zvaničnu domaću stranu: http://www.wesnoth.org/

AUTORSKA PRAVA
Autorska prava © 2003-2007 Dejvid Vajt (David White) <davidnwhite@verizon.net>.
Ovo je slobodan softver; licenciran je pod uslovima OJL verzije 2 (GPLv2), koju izdaje Zadužbina za slobodni softver. Nema BILO KAKVE GARANCIJE; čak ni za KOMERCIJALNU VREDNOST ili ISPUNJAVANJE ODREĐENE POTREBE.

POGLEDATI JOŠ
wesnoth(6), wesnoth_editor(6)